@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Grenze+Gotisch:wght@100..900&family=IBM+Plex+Sans+Condensed:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&family=League+Spartan:wght@100..900&display=swap');

body {
    background-color: #003363;
    color: white;
    text-align: center;
    font-family: 'Bebas Neue', sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: relative;
    min-height: 100vh;
    overflow: hidden;
}

body::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background-image: radial-gradient(rgba(255, 255, 255, 0.219) 10%, transparent 10%);
    background-size: 20px 20px;
    z-index: -1;
}

#snow {
    position: fixed;
    inset: 0;
    z-index: 0;
    /* above background */
    pointer-events: none;
}

body>* {
    position: relative;
    z-index: 1;
    /* content above snow */
}

h1 {
    letter-spacing: 5px;
    color: #fd66c4;
    font-size: 42px;
    animation: fadeIn 1s ease-in-out;
}

h2 {
    letter-spacing: 2px;
}

.radio-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    animation: fadeIn 1.2s ease-in-out;
}

.radio-select {
    background: white;
    color: #044aad;
    padding: 12px;
    font-size: 22px;
    border-radius: 30px;
    border: none;
    font-family: 'Bebas Neue', sans-serif;
    cursor: pointer;
    transition: transform 0.3s cubic-bezier(0.33, 1, 0.68, 1), box-shadow 0.3s;
}

.radio-select:hover {
    transform: scale(1.1);
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2);
}

.info {
    display: none;
    gap: 15px;
    margin-top: 30px;
    justify-content: center;
    align-items: center;
}

.info span {
    color: #3ee35f;
}

.radio-image {
    width: 200px;
    height: 200px;
    border-radius: 50%;
    background: url("../img/radio_xmas2.png") center / cover no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.5s cubic-bezier(0.33, 1, 0.68, 1),
        rotate 0.5s cubic-bezier(0.33, 1, 0.68, 1);
}

.radio-image:hover {
    transform: scale(1.1);
    rotate: 10deg;
}

.inputDiv input {
    font-family: 'Bebas Neue', sans-serif;
    font-size: 30px;
}

.inputDiv button,
input {
    color: #044aad;
}

.buttons,
.inputDiv {
    display: flex;
    gap: 15px;
    margin-top: 20px;
}

.inputDiv {
    display: none;
}

.buttons button,
.inputDiv button {
    letter-spacing: 3px;
    font-family: 'Bebas Neue', sans-serif;
    font-size: 28px;
    padding: 14px 28px;
    border: none;
    cursor: pointer;
    border-radius: 10px;
    transition: all 0.25s cubic-bezier(0.33, 1, 0.68, 1);
    text-transform: uppercase;
}

.buttons {
    gap: 50px;
}

button:active:enabled {
    translate: 0px 5px;
}

button:hover:enabled {
    transform: scale(1.1);
}

.yes {
    background: linear-gradient(45deg, #54ff797e, #3ee35f);
    color: white;
}

.no {
    background: linear-gradient(45deg, #ff8a5c77, #ff6542);
    color: white;
}

.yes:hover {
    box-shadow: 0px 0px 30px rgba(179, 255, 0, 0.3);
}

.no:hover {
    box-shadow: 0px 0px 30px rgba(255, 81, 0, 0.637);
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(-20px);
    }

    to {
        opacity: 1;
        transform: translateY(0px);
    }
}



.quote {
    position: relative;
    padding: 24px 28px;
    border-radius: 10px;
    width: 100%;
    max-width: 420px;

    backdrop-filter: blur(3px);
    -webkit-backdrop-filter: blur(12px);

    border: 0px solid rgba(83, 83, 83, 0.123);
    box-shadow: 0 0px 70px rgba(0, 0, 0, 0.322);

    color: white;
    overflow: hidden;
}

/* canvas lives behind text */
.particles {
    position: absolute;
    inset: 0;
    z-index: 0;
}

.quote h2 {
    position: relative;
    z-index: 1;
    margin: 0;
}

.quoteText {
    font-style: italic;
    font-family: "Grenze Gotisch", serif;
}

.quoteText {
    animation: quoteGlow 3s ease-in-out infinite;
}

@keyframes quoteGlow {

    0%,
    100% {
        text-shadow:
            0 0 6px gold,
            0 0 12px rgba(0, 0, 0, 0.2);
    }

    25% {
        text-shadow:
            0 0 12px rgba(255, 255, 255, 0.062),
            0 0 24px rgba(255, 255, 255, 0.062);
    }
}

.loadingContainer {
    justify-content: center;
    align-items: center;
    text-align: center;
}

.loader {
    width: 48px;
    height: 48px;
    border: 6px solid #ffffff;
    border-top: 6px solid #003363;
    border-radius: 50%;
    animation: spin 1s linear infinite;
    margin: auto;
}

.loader--small {
    width: 30px;
    height: 30px;
}

@keyframes spin {
    to {
        transform: rotate(360deg);
    }
}

.overlay {
    position: fixed;
    inset: 0;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(6px);
    display: none;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}

.modal {
    background: #003363f6;
    padding: 24px 32px;
    border-radius: 12px;
    text-align: center;
    min-width: 200px;
    box-shadow: 0 10px 40px rgba(0, 0, 0, 0.2);
    font-size: 25px;
}

.modal div {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    gap: 20px;
}

.modal h3 {
    font-weight: 100;
}

.modal span {
    color: #3ee35f;
}

.modal button {
    margin-top: 16px;
    border-radius: 15px;
    padding: 15px;
    font-size: 35px;
    font-family: 'Bebas Neue', sans-serif;
    transition: transform 0.2s ease;
    border: none;
    box-shadow: 0 0px 5px black;
}

.modal button:hover {
    transform: scale(1.1);
}

.radioChangeValues {
    display: none;
    flex-direction: column;
    gap: 20px;
}

.radioChangeValues select {
    font-size: 25px;
}

.programChoice {
    display: flex;
    gap: 20px;
    justify-content: center;
    align-items: center;
}

.programChoice button {
    font-size: 30px;
    border-radius: 10px;
    border: none;
    padding: 15px;
    font-family: 'Bebas Neue', sans-serif;

}

.changeHourDayCard {
    display: none;
    flex-direction: column;
    padding: 20px;
    justify-content: center;
    align-items: center;
    max-width: 25%;
}


.changeHourDayCard h2 {
    font-size: 35px;
}

.buttonsDiv {
    display: flex;
    gap: 10px;
}

.buttonsDiv button {
    transition: transform 0.2s ease-in-out;
    color: #044aad;
    cursor: pointer;
}

.buttonsDid button:hover {
    transform: scale(1.1);
}

.verticalLine {
    background-color: rgba(255, 255, 255, 0.541);
    width: 2px;
    height: 300px;
    display: none;
}